using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using ImageBoardServerApp.Shared.Components;

namespace ImageBoardServerApp.Data;

public class CommentData
{
    [Required]
    [DatabaseGenerated((DatabaseGeneratedOption.Identity))]
    [Key]
    public int CommentID { get; set; }
    
    [Required] 
    public int PostID { get; set; }
    
    //[ForeignKey("PostID")]
    public virtual PostData Post { get; set; }

    [Required]
    public int UserID { get; set; }
    
    //[ForeignKey("UserID")] 
    public UserData User { get; set; }
    
    //[ForeignKey("ImageID")]
    public virtual ImageData Image { get; set; }

    public int ImageID { get; set; }
    
    [Required]
    public string Content { get; set; }
    
    [Required]
    public string Username { get; set; }
    
    [Required]
    public string Board { get; set; }
    
}